%module lib

%{ 
  #include "lib.h" 
  #include "exceptions.h"
%}

/* Generic language independent exception handler. */
%include "exception.i"

%exception {
  try {
    $action
  }
  catch (LibraryException &e) {
    SWIG_exception(SWIG_RuntimeError, e.what());
  }
}

%include "lib.h"
